Bug 176362 - Graphics screen comes back blank after switching to the text terminal on Intel Mobile 945GME chipset
Summary: Graphics screen comes back blank after switching to the text terminal on Inte...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords: i915, vt
Depends on:
Blocks:
 
Reported: 2013-02-22 21:00 UTC by Yuri Victorovich
Modified: 2014-09-15 02:47 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2013-02-22 21:00:00 UTC
Graphics starts fine, but if I switch to text terminal (Ctrl-Alt F1) and back (Alt-F9) graphics comes back blank. After I kill and restart xorg its starts up fine again.

Relevant xorg.conf portion:
Section "Device"
	Identifier  "Card0"
	Driver      "intel"
	VendorName  "Intel Corporation"
	BoardName   "Mobile 945GME Express Integrated Graphics Controller"
	BusID       "PCI:0:2:0"
EndSection

Relevant Xorg.0.log portion:
<...skipped...>
(II) Loading /usr/local/lib/xorg/modules//drivers/intel_drv.so
<...skipped...>
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, IGD_GM, IGD_G, 965G, G35,
	965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33,
	Mobile Intel® GM45 Express Chipset,
	Intel Integrated Graphics Device, G45/G43, Q45/Q43, G41
(II) Primary Device is: PCI 00@00:02:0
<...skipped...>

Hardware: Lenovo S10-2 netbook, Intel Atom CPU
OS: FreeBSD-9.0

I first reported this to XOrg, but they claim that this is FreeBSD kernel bug:
https://bugs.freedesktop.org/show_bug.cgi?id=27864

Fix: 

n/a
Comment 1 Ed Maste freebsd_committer 2014-09-14 14:00:33 UTC
This should now work with vt(4).

Can you test a new kernel (either build it yourself, or use an 11-CURRENT or 10.1 snapshot), with "kern.vty=vt" in /boot/loader.conf?
Comment 2 Yuri Victorovich freebsd_committer 2014-09-15 02:43:46 UTC
I have another OS installed on it now. So it may take a long time before I can try doing this.

If you are confident this is fixed, then just close it. And I will reopen it in case it wouldn't work if I try again some time in the future.
Comment 3 Ed Maste freebsd_committer 2014-09-15 02:47:45 UTC
Presumed fixed with vt(4), submitter cannot easily retest to confirm.